/********************************************************************************
 * Copyright (C) 2018 Ericsson and others.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the Eclipse
 * Public License v. 2.0 are satisfied: GNU General Public License, version 2
 * with the GNU Classpath Exception which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 ********************************************************************************/
import URI from '@theia/core/lib/common/uri';
import { ILogger, Resource, ResourceProvider, MaybePromise } from "@theia/core/lib/common";
import { PreferenceProvider } from '@theia/core/lib/browser/preferences';
export declare abstract class AbstractResourcePreferenceProvider extends PreferenceProvider {
    protected preferences: {
        [key: string]: any;
    };
    protected readonly logger: ILogger;
    protected readonly resourceProvider: ResourceProvider;
    protected resource: Promise<Resource>;
    protected init(): Promise<void>;
    abstract getUri(): MaybePromise<URI | undefined>;
    getPreferences(): {
        [key: string]: any;
    };
    setPreference(key: string, value: any): Promise<void>;
    protected readPreferences(): Promise<void>;
    protected readContents(): Promise<string>;
}
//# sourceMappingURL=abstract-resource-preference-provider.d.ts.map