/********************************************************************************
 * Copyright (C) 2018 Ericsson and others.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the Eclipse
 * Public License v. 2.0 are satisfied: GNU General Public License, version 2
 * with the GNU Classpath Exception which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 ********************************************************************************/
import { CommandContribution, MenuContribution, Command, MenuModelRegistry, CommandRegistry } from "@theia/core";
import { UserPreferenceProvider } from "./user-preference-provider";
import { OpenerService } from "@theia/core/lib/browser";
import { WorkspacePreferenceProvider } from './workspace-preference-provider';
import { FileSystem } from "@theia/filesystem/lib/common";
import { UserStorageService } from "@theia/userstorage/lib/browser";
export declare namespace PreferenceCommands {
    const OPEN_USER_PREFERENCES: Command;
    const OPEN_WORKSPACE_PREFERENCES: Command;
}
export declare class PreferenceFrontendContribution implements CommandContribution, MenuContribution {
    protected readonly userStorageService: UserStorageService;
    protected readonly userPreferenceProvider: UserPreferenceProvider;
    protected readonly workspacePreferenceProvider: WorkspacePreferenceProvider;
    protected readonly openerService: OpenerService;
    protected readonly filesystem: FileSystem;
    registerCommands(commands: CommandRegistry): void;
    registerMenus(menus: MenuModelRegistry): void;
    protected openUserPreferences(): Promise<void>;
    protected openWorkspacePreferences(): Promise<void>;
    private getPreferenceTemplateForScope;
}
//# sourceMappingURL=preference-frontend-contribution.d.ts.map